Create a new saved report with name and config
curl --request POST \
--url https://api.supersonic.cv/reports/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {
"object_type": "<string>",
"metric_field": "<string>",
"group_by": "<string>",
"filters": [
{
"field": "<string>",
"operator": "<string>",
"value": "<unknown>"
}
]
}
}
'import requests
url = "https://api.supersonic.cv/reports/create"
payload = {
"name": "<string>",
"config": {
"object_type": "<string>",
"metric_field": "<string>",
"group_by": "<string>",
"filters": [
{
"field": "<string>",
"operator": "<string>",
"value": "<unknown>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {
object_type: '<string>',
metric_field: '<string>',
group_by: '<string>',
filters: [{field: '<string>', operator: '<string>', value: '<unknown>'}]
}
})
};
fetch('https://api.supersonic.cv/reports/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Reports
reports.create
POST
/
reports
/
create
Create a new saved report with name and config
Authorizations
API key: supersonic_live_...
Body
application/json
Response
Success
The response is of type object.
⌘I